"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startup = void 0;
const commander_1 = require("commander");
const generate_request_file_1 = require("./generate-request-file");
const program = new commander_1.Command();
function startup() {
    return __awaiter(this, void 0, void 0, function* () {
        program
            .description("a cli program for http-request-cli")
            .option("-g, --generate", "generate http request controller&service");
        program.parse(process.argv);
        const options = program.opts();
        if (options.generate) {
            generate_request_file_1.generateRequestFile();
        }
    });
}
exports.startup = startup;
startup();
