#!/usr/bin/env node
/**
 * 生成服务
 */
export declare function generateService(config: any): {
    key: string;
    name: unknown;
    url: string;
    gateway: any;
    config: any;
}[];
/**
 * 获取控制器名称
 */
export declare function getControllerName(path: any, currentTag: any, tags: any): string;
/**
 * 获取行为器名称
 */
export declare function getActionName(operation: any): any;
/**
 * 获取Action列表
 * @param paths
 */
export declare function createControllers(service: {
    key: string;
    name: string;
    url: string;
    gateway: string;
    config: any;
}, controllers: any[], paths: {
    [keys: string]: any;
}, tags: any[]): void;
/**
 * 生成配置文件
 * @param service
 */
export declare function generate(service: any): any;
export declare function generateRequestFile(): Promise<void>;
